Bug 65423 - "up2date -f" does not update skipped packages on first attempt
"up2date -f" does not update skipped packages on first attempt
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-23 14:06 EDT by Don Vanco
Modified: 2015-01-07 18:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-13 16:01:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Vanco 2002-05-23 14:06:39 EDT
From Bugzilla Helper: vancod@pios.com instead of potatoes!
User-Agent: Mozilla/4.0 ({not very}compatible; M$IE 5.5; Windoze NT 5.0; 
T312461)

Description of problem:
On a freshly installed 7.3 system, running "up2date -fu" (or "up2date -nox -fu" 
which I was told is overly verbose) for the very first time does NOT update 
packages marked as skip.  It does list packages marked as skipped by the 
configuration (as though -f were ignored).

Running the same command (i.e. hitting hte up arrow and enter) does, in fact, 
force update on (all) the packages as expected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load tasty fresh Red Hat 7.3
2.Run "up2date -fu" and watch for the skippage
3.Re-run "up2date -fu" and see those skipped in #2 get installed
	

Actual Results:  System was updated and happy; user was puzzled but now 
enlightened by Bugzilla

Expected Results:  I would imagine that it should have forced update the first 
time I asked.

Additional info:

None, but thaks for asking.  If it matters, I verified this on:
Abit VP-6 with Dual PIII-800s
Compaq Proliant DL320
IBM Netfinity 7000 M10 with single CPU
Some generic PII-350 under a desk around here
Comment 1 Adrian Likins 2002-05-23 17:12:34 EDT
erk. bizzare.

Looking though the code, I dont see anything that looks
like it might fail that way, but thats easy to miss.

first impression was that maybe userhelper was swallowing
the "-f". But I've never seen problems with that before,
and I wouldnt think it would work on the second try if
that was the case.

second thought was perhaps the client is storing the
"-f" value in the config, and reading it the second time.
But looking though the code, it doesnt look that should
effect it (if anything, it would use "force" and write
it out). Whats the "forceInstall" value in /etc/sysconfig/rhn/up2date
set to?

at the moment, thats the only two possiblities that come to mind...
Comment 2 Don Vanco 2002-05-24 11:16:19 EDT
Contents of /etc/sysconfig/rhn/up2date:
(default from install - I didn't change anything)
# Automatically generated Red Hat Update Agent config file, do not edit.
# Format: 1.0
storageDir[comment]=Where to store packages and other data when they are 
retrieved
storageDir=/var/spool/up2date

networkSetup[comment]=None
networkSetup=1

headerCacheSize[comment]=The maximum number of rpm headers to cache in ram
headerCacheSize=40

httpProxy[comment]=HTTP proxy in host:port format, e.g. squid.redhat.com:3128
httpProxy=

debug[comment]=Whether or not debugging is enabled
debug=0

useGPG[comment]=Use GPG to verify package integrity
useGPG=1

networkRetries[comment]=Number of attempts to make at network connections 
before giving up
networkRetries=5

removeSkipList[comment]=A list of package names, optionally including wildcards 
that up2date will not remove
removeSkipList=kernel*;

retrieveOnly[comment]=Retrieve packages only
retrieveOnly=0

keepAfterInstall[comment]=Keep packages on disk after installation
keepAfterInstall=0

enableProxy[comment]=Use a HTTP Proxy
enableProxy=0

gpgKeyRing[comment]=The location of the gpg keyring to use for package checking
gpgKeyRing=/etc/sysconfig/rhn/up2date-keyring.gpg

proxyUser[comment]=The username for an authenticated proxy
proxyUser=

proxyPassword[comment]=The password to use for an authenticated proxy
proxyPassword=

headerFetchCount[comment]=The maximimum number of rpm headers to fetch at once
headerFetchCount=10

versionOverride[comment]=Override the automatically determined system version
versionOverride=

useNoSSLForPackages[comment]=Use the noSSLServerURL for package, package list, 
and header fetching
useNoSSLForPackages=0

enableProxyAuth[comment]=To use an authenticated proxy or not
enableProxyAuth=0

noSSLServerURL[comment]=Remote server URL without SSL
noSSLServerURL=http://www.rhns.redhat.com/XMLRPC

noReplaceConfig[comment]=When selected, no packages that would change 
configuration data are automatically installed
noReplaceConfig=1

sslCACert[comment]=The location of the SSL CA certificate.
sslCACert=/usr/share/rhn/RHNS-CA-CERT

noBootLoader[comment]=To disable modification of the boot loader (lilo, silo, 
etc)
noBootLoader=0

systemIdPath[comment]=Location of system id
systemIdPath=/etc/sysconfig/rhn/systemid

serverURL[comment]=Remote server URL
serverURL=https://www.rhns.redhat.com/XMLRPC

pkgSkipList[comment]=A list of package names, optionally including wildcards, 
to skip
pkgSkipList=kernel*;

adminAddress[comment]=List of e-mail addresses for update agent to communicate 
with when run in batch mode
adminAddress=root@localhost;

forceInstall[comment]=Force package installation, ignoring package, file and 
config file skip list
forceInstall=0

fileSkipList[comment]=A list of file names, optionally including wildcards, to 
skip
fileSkipList=;

retrieveSource[comment]=Retrieve source RPM along with binary package
retrieveSource=0
Comment 3 Milan Kerslager 2002-06-13 16:00:18 EDT
I see this too. When first run of up2date, it ignores -f switch. I used:

up2date -u -f

but kernel and imap has not been updated (like without -f switch).
Comment 4 Adrian Likins 2002-08-08 23:26:20 EDT
I have no idea, and have never been able to duplicate this.

The newest version of the client also includes a new config
system and a new commandline parsing system, and I
can seem to duplicate it there either, so I'm closing this out.
Comment 5 Bill Peck 2003-05-27 11:27:51 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-177.html

Note You need to log in before you can comment on or make changes to this bug.